Simplify wait condition for MaaS service up, since it's fragile
and often adds extra time when not really needed.
Instead, retry starting boot image import right away.
Change-Id: I131d6c82127449cecf6685d4cc7484a366e658c6
Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
new file mode 100644
--- /dev/null
+++ b/maas/files/maas-artifact-sync.sh
-@@ -0,0 +1,21 @@
+@@ -0,0 +1,20 @@
+{%- from "maas/map.jinja" import region with context %}
+#!/bin/bash
+function wait_for {
+ http://{{ region.bind.host }}:5240/MAAS/api/2.0 - < \
+ /var/lib/maas/.maas_credentials || exit 1
+# wait max 5 min for service up, 15 min image download, 5 min region to rack sync
-+wait_for 30 "grep -qzE '(Unable to probe for DHCP servers|DHCP probe complete).*Rack controller' /var/log/maas/rackd.log"
-+maas opnfv boot-resources import || exit 2
++wait_for 30 "maas opnfv boot-resources import"
+wait_for 90 "! maas opnfv boot-resources is-importing | grep -q 'true'"
+maas opnfv rack-controllers import-boot-images || exit 3
+wait_for 30 "test -d /var/lib/maas/boot-resources/current/ubuntu/amd64"